# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{boxgrinder-build-sftp-delivery-plugin}
  s.version = "0.0.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
  s.authors = ["Marek Goldmann"]
  s.date = %q{2010-12-16}
  s.description = %q{BoxGrinder Build SSH File Transfer Protocol Delivery Plugin}
  s.email = %q{info@boxgrinder.org}
  s.extra_rdoc_files = ["CHANGELOG", "LICENSE", "README", "lib/boxgrinder-build-sftp-delivery-plugin.rb", "lib/boxgrinder-build-sftp-delivery-plugin/sftp-plugin.rb"]
  s.files = ["CHANGELOG", "LICENSE", "Manifest", "README", "Rakefile", "boxgrinder-build-sftp-delivery-plugin.gemspec", "lib/boxgrinder-build-sftp-delivery-plugin.rb", "lib/boxgrinder-build-sftp-delivery-plugin/sftp-plugin.rb", "rubygem-boxgrinder-build-sftp-delivery-plugin.spec", "spec/sftp-plugin-spec.rb"]
  s.homepage = %q{http://www.jboss.org/boxgrinder}
  s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "Boxgrinder-build-sftp-delivery-plugin", "--main", "README"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{BoxGrinder Build}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{SSH File Transfer Protocol Delivery Plugin}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<boxgrinder-build>, ["~> 0.7.0"])
      s.add_runtime_dependency(%q<net-sftp>, ["~> 2.0.4"])
      s.add_runtime_dependency(%q<net-ssh>, ["~> 2.0.20"])
      s.add_runtime_dependency(%q<progressbar>, ["~> 0.9.0"])
      s.add_development_dependency(%q<boxgrinder-build>, ["~> 0.7.0"])
      s.add_development_dependency(%q<hashery>, [">= 1.3.0"])
    else
      s.add_dependency(%q<boxgrinder-build>, ["~> 0.7.0"])
      s.add_dependency(%q<net-sftp>, ["~> 2.0.4"])
      s.add_dependency(%q<net-ssh>, ["~> 2.0.20"])
      s.add_dependency(%q<progressbar>, ["~> 0.9.0"])
      s.add_dependency(%q<boxgrinder-build>, ["~> 0.7.0"])
      s.add_dependency(%q<hashery>, [">= 1.3.0"])
    end
  else
    s.add_dependency(%q<boxgrinder-build>, ["~> 0.7.0"])
    s.add_dependency(%q<net-sftp>, ["~> 2.0.4"])
    s.add_dependency(%q<net-ssh>, ["~> 2.0.20"])
    s.add_dependency(%q<progressbar>, ["~> 0.9.0"])
    s.add_dependency(%q<boxgrinder-build>, ["~> 0.7.0"])
    s.add_dependency(%q<hashery>, [">= 1.3.0"])
  end
end
